Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.idea.model
[Groovy] Class Path

    java.lang.Object
      org.gradle.plugins.ide.idea.model.Path

    class Path

Represents a path in a format as used often in ipr and iml files.

Property Summary
`String` | `canonicalUrl` Canonical url.
`String` | `relPath` The relative path of the path.
`String` | `url` The url of the path.

Constructor Summary
`Path(String url)`
`Path(String url, String canonicalUrl, String relPath)`

Method Summary
`boolean` | `equals(def o)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### canonicalUrl

    final String canonicalUrl

  Canonical url.

### relPath

    final String relPath

  The relative path of the path. Must not be null.

### url

    final String url

  The url of the path. Must not be null.

Constructor Detail

### Path

    Path(String url)

### Path

    Path(String url, String canonicalUrl, String relPath)

Method Detail

### equals

    boolean equals(def o)

### hashCode

    int hashCode()

### toString

    String toString()

Gradle API 1.10